The Alternative Csound Reference Manual
Previous |  | Next

# tan

tan -- Performs a tangent function.

## Description

Returns the tangent of x (x in radians).

## Syntax

tan(x) (no rate restriction)

## Examples

Here is an example of the tan opcode. It uses the files tan.orc and tan.sco.

Example 1. Example of the tan opcode.

    /* tan.orc */
    /* Written by Kevin Conder */
    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      irad = 25
      i1 = tan(irad)

      print i1
    endin
    /* tan.orc */

    /* tan.sco */
    /* Written by Kevin Conder */
    ; Play Instrument #1 for one second.
    i 1 0 1
    e
    /* tan.sco */

Its output should include a line like this:

    instr 1:  i1 = -0.134

## See Also

cos, cosh, cosinv, sin, sinh, sininv, tan, taninv

Previous | Home | Next
tambourine | Up | tanh